gnutls_x509_crt_get_fingerprint(3)

NAME
gnutls_x509_crt_get_fingerprint

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_get_fingerprint(gnutls_x509_crt_t cert, gnutls_digest_algorithm_t algo, void * buf, size_t * sizeof_buf);

ARGUMENTS

gnutls_x509_crt_t cert
    should contain a gnutls_x509_crt_t structure

gnutls_digest_algorithm_t algo
    is a digest algorithm

void * buf
    a pointer to a structure to hold the fingerprint (may be null)

size_t * sizeof_buf
    initially holds the size of buf

DESCRIPTION
This function will calculate and copy the certificate's fingerprint in the provided buffer. If the buffer is null then only the size will be filled. Returns GNUTLS_E_SHORT_MEMORY_BUFFER if the provided buffer is not long enough, and in that case the *sizeof_buf will be updated with the required size. On success 0 is returned.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.